CMSIS-DSP: arm_cfft_radix2_instance_q31 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_radix2_instance_q31 Struct Reference

Instance structure for the Radix-2 Q31 CFFT/CIFFT function.

## Data Fields
uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
q31_t * | pTwiddle
uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor

## Field Documentation

uint8_t arm_cfft_radix2_instance_q31::bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

Referenced by arm_cfft_radix2_init_q31().

uint16_t arm_cfft_radix2_instance_q31::bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().

uint16_t arm_cfft_radix2_instance_q31::fftLen

length of the FFT.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().

uint8_t arm_cfft_radix2_instance_q31::ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().

uint16_t* arm_cfft_radix2_instance_q31::pBitRevTable

points to the bit reversal table.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().

q31_t* arm_cfft_radix2_instance_q31::pTwiddle

points to the Twiddle factor table.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().

uint16_t arm_cfft_radix2_instance_q31::twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Referenced by arm_cfft_radix2_init_q31(), and arm_cfft_radix2_q31().